Subject: RE: Time to move beyond the 32 bit Internet.

From: "Michel Py" <[email-masked]>
Date: Mon, 7 Jul 2014 22:30:57 -0700

>>> Phillip Hallam-Baker wrote :
>>> Actually IPv6 is a 64 bit Internet, not 128 bits.

>> Michel Py wrote :
>> Better to forget that and try to sell it as 128 bits,
>> as nobody else has been burned but that number yet.

> I think it would sound like twice the pain.

It crossed my mind too. Armchair marketing apprentice advice: forget 32-bit, re-package IPv6 as "The new 128 bit Internet". May work, may not. Nothing no lose. You do have a point there; I would not bet a used cond^H^H^H^Hprotocol on it, but you do have the shot.

> Phillip Hallam-Baker wrote :
> People literally laughed at me when I said that we needed to embrace NAT to deploy IPv6.
> Today there are very few people who don't get the reasons why. But if you look at the
> efforts O/S vendors had to go through to get to 64 bits, NAT is a minor carbuncle
> in comparison. The way a 64 bit O/S runs a 32 bit program is not pretty. 

I remember these days, bumping into a wall of zealotry that would object to anything that looked, smelled, walked, or quacked like NAT. Nevertheless, there were some of us who were and still are going by the following: If one has to consider NAT64, may as well stick to NAT44. Sorry.

> Yes firewalls do suck, but one of the reasons they suck a lot worse than they need to
> is because there was a lot of resistance in the IETF to the whole concept. And so any
> attempt to make IETF protocols firewall friendly was often met with obstructionism.

You are more politically correct than I am. Instead of "obstructionism", I would use "obscurantism".

Michel.